CSeqGroup Class Reference

Group (clustrer) of sequences. More...

## Public Member Functions

| CSeqGroup (bm::id64_t lead_id=~0ull)
void | set_lead (bm::id64_t lead_id)
| set id for the group representative
bm::id64_t | get_lead () const
| Get lead id.
bool | is_assigned ()
| check is cluster is non-empty
void | add_member (bm::id64_t id)
| add a member to the group
void | add_member (bm::id64_t id, const bm::bvector<> &bv_kmer)
void | add_member_sync (bm::id64_t id, const bm::bvector<> &bv_kmer)
void | merge_member_sync (bm::bvector<> &bv_seq, bm::bvector<> &bv_kmer)
bm::id64_t | count_and_union_sync (const bm::bvector<> &bv)
void | clear_member (bm::id64_t id)
bm::bvector & | get_rep ()
const bm::bvector & | get_rep () const
const bm::bvector & | get_members () const
bm::bvector & | get_members ()
bm::bvector & | get_kmer_union ()
const bm::bvector & | get_kmer_union () const

## Friends

class | CSeqClusters

## Detailed Description

Group (clustrer) of sequences.

Examples
  xsample07a.cpp.

Definition at line 686 of file xsample07a.cpp.

## Constructor & Destructor Documentation

## CSeqGroup()

CSeqGroup::CSeqGroup | ( | bm::id64_t | lead_id = ~0ull | ) |

inline

Examples
  xsample07a.cpp.

Definition at line 689 of file xsample07a.cpp.

## Member Function Documentation

## add_member() [1/2]

void CSeqGroup::add_member | ( | bm::id64_t | id | ) |

inline

add a member to the group

Examples
  xsample07a.cpp.

Definition at line 705 of file xsample07a.cpp.

Referenced by compute_group(), and set_lead().

## add_member() [2/2]

void CSeqGroup::add_member | ( | bm::id64_t | id,
|  | const bm::bvector<> & | bv_kmer )

inline

Definition at line 706 of file xsample07a.cpp.

## add_member_sync()

void CSeqGroup::add_member_sync | ( | bm::id64_t | id,
|  | const bm::bvector<> & | bv_kmer )

inline

Examples
  xsample07a.cpp.

Definition at line 711 of file xsample07a.cpp.

Referenced by assign_to_best_cluster_union().

## clear_member()

void CSeqGroup::clear_member | ( | bm::id64_t | id | ) |

inline

Examples
  xsample07a.cpp.

Definition at line 731 of file xsample07a.cpp.

Referenced by compute_group(), and resolve_duplicates().

## count_and_union_sync()

bm::id64_t CSeqGroup::count_and_union_sync | ( | const bm::bvector<> & | bv | ) |

inline

Examples
  xsample07a.cpp.

Definition at line 725 of file xsample07a.cpp.

References bm::count_and().

Referenced by assign_to_best_cluster_union().

## get_kmer_union() [1/2]

bm::bvector & CSeqGroup::get_kmer_union | ( |  | ) |

inline

Examples
  xsample07a.cpp.

Definition at line 739 of file xsample07a.cpp.

Referenced by compute_seq_group_union().

## get_kmer_union() [2/2]

const bm::bvector & CSeqGroup::get_kmer_union | ( |  | ) | const

inline

Definition at line 740 of file xsample07a.cpp.

## get_lead()

bm::id64_t CSeqGroup::get_lead | ( |  | ) | const

inline

Get lead id.

Examples
  xsample07a.cpp.

Definition at line 699 of file xsample07a.cpp.

Referenced by compute_group(), CSeqClusters::elect_leaders(), CSeqClusters::print_summary(), and resolve_duplicates().

## get_members() [1/2]

bm::bvector & CSeqGroup::get_members | ( |  | ) |

inline

Definition at line 737 of file xsample07a.cpp.

## get_members() [2/2]

const bm::bvector & CSeqGroup::get_members | ( |  | ) | const

inline

Examples
  xsample07a.cpp.

Definition at line 736 of file xsample07a.cpp.

Referenced by CSeqClusters::clear_empty_groups(), CSeqClusters::compute_avg_count(), compute_seq_group_union(), CSeqClusters::elect_leaders(), CSeqClusters::print_summary(), resolve_duplicates(), CSeqClusters::take_group(), and CSeqClusters::union_all_groups().

## get_rep() [1/2]

bm::bvector & CSeqGroup::get_rep | ( |  | ) |

inline

Examples
  xsample07a.cpp.

Definition at line 733 of file xsample07a.cpp.

Referenced by assign_to_best_cluster(), compute_group(), CSeqClusters::elect_leaders(), and resolve_duplicates().

## get_rep() [2/2]

const bm::bvector & CSeqGroup::get_rep | ( |  | ) | const

inline

Definition at line 734 of file xsample07a.cpp.

## is_assigned()

bool CSeqGroup::is_assigned | ( |  | ) |

inline

check is cluster is non-empty

Examples
  xsample07a.cpp.

Definition at line 702 of file xsample07a.cpp.

Referenced by compute_group().

## merge_member_sync()

void CSeqGroup::merge_member_sync | ( | bm::bvector<> & | bv_seq,
|  | bm::bvector<> & | bv_kmer )

inline

Examples
  xsample07a.cpp.

Definition at line 718 of file xsample07a.cpp.

Referenced by assign_to_best_cluster().

## set_lead()

void CSeqGroup::set_lead | ( | bm::id64_t | lead_id | ) |

inline

set id for the group representative

Examples
  xsample07a.cpp.

Definition at line 696 of file xsample07a.cpp.

References add_member().

Referenced by CSeqClusters::elect_leaders().

## Friends And Related Symbol Documentation

## CSeqClusters

friend class CSeqClusters

friend

Examples
  xsample07a.cpp.

Definition at line 742 of file xsample07a.cpp.

References CSeqClusters.

Referenced by CSeqClusters.

The documentation for this class was generated from the following file:

- xsample07a.cpp